axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nandana Mihindukulasooriya" <nandana....@gmail.com>
Subject Re: How to solve the "Must Understand check failed for header" error
Date Tue, 19 Aug 2008 07:54:03 GMT
Eran Chinthaka's this [1] article may help you to get an insight.

thanks,
nandana

[1] -
http://www.wso2.org/library/tutorials/understand-famous-did-not-understand-mustunderstand-header-s-error

On Tue, Aug 19, 2008 at 1:14 PM, arunkumarsimhadri <arunsimha@hcl.in> wrote:

>
> Hi,
>
> I am having a standalone client that uses Axis2-1.1 & Rampart 1.1 version
> so
> far. And recently we started upgrading our libraries to Axis2-1.4 & Rampart
> 1.3.
>
> The application contains the following code for engaging the Rampart
> module.
>
> pConnectionManagerStub._getServiceClient().engageModule(new
> QName("rampart"));
>
> After upgrading the Rampart to 1.4 the application throws the following
> exception:
>
> "Must Understand check failed for header
>
> http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
> : Security"
>
> I went thru the existing issues and read something about Security Policies,
> but finally i didnt understand anything over there.
>
> Please help me to sort the problem and explain the solution in detailed as
> I
> am new to these concepts
>
>
> Thanks in advance
> --
> View this message in context:
> http://www.nabble.com/How-to-solve-the-%22Must-Understand-check-failed-for-header%22-error-tp19045721p19045721.html
> Sent from the Axis - Dev mailing list archive at Nabble.com.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
> For additional commands, e-mail: axis-dev-help@ws.apache.org
>
>


-- 
Nandana Mihindukulasooriya
WSO2 inc.

http://nandana83.blogspot.com/
http://www.wso2.org

Mime
View raw message